// wave.h

#define ERR_TOO_MANY_WAVES    -1
#define ERR_CANNOT_FIND_RES   -2
#define ERR_CANNOT_LOAD_RES   -3
#define ERR_CANNOT_SIZE_RES   -4
#define ERR_CANNOT_LOCK_RES   -5
#define ERR_CANNOT_OPEN_RES   -6
#define ERR_WAVE_EXPECTED     -7
#define ERR_FMT_EXPECTED      -8
#define ERR_INSUF_MEMORY      -9
#define ERR_BAD_FMT          -10
#define ERR_BAD_DATA         -11
#define ERR_CANNOT_READ      -12
#define ERR_CANNOT_OPEN_WAVE -13
#define ERR_CANNOT_PREPARE   -14
#define ERR_CANNOT_WRITE     -15

void CloseWave (int iWaveID);
int  OpenWave  (LPSTR szFilename);
int  PlayWave  (int iWaveID);
